Bug 172208 - CVE-2005-3390 PHP register globals arbitrary code execution
Summary: CVE-2005-3390 PHP register globals arbitrary code execution
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20051031,sourc...
Keywords: Security
: 172200 (view as bug list)
Depends On:
Blocks: 174167
TreeView+ depends on / blocked
 
Reported: 2005-11-01 16:04 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 12:48:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-11-01 16:04:54 UTC
+++ This bug was initially created as a clone of Bug #172207 +++

The RFC1867 file upload feature in PHP 4.x up to 4.4.0 and 5.x up to 5.0.5,
when register_globals is enabled, allows remote attackers to modify the
GLOBALS array and bypass security protections of PHP applications via a
multipart/form-data POST request with a "GLOBALS" fileupload field.

http://www.hardened-php.net/advisory_202005.79.html

This issue should also affect FC3

Comment 1 Joe Orton 2005-11-08 11:28:46 UTC
*** Bug 172200 has been marked as a duplicate of this bug. ***

Comment 2 Joe Orton 2005-11-25 12:48:29 UTC
Fixed in FEDORA-2005-1062/FEDORA-2005-1061.



Note You need to log in before you can comment on or make changes to this bug.